com.corticon.eclipse.core.util

## Class CcCoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.corticon.CcException
      - - com.corticon.eclipse.core.util.CcCoreException

- All Implemented Interfaces:
    ICcException, java.io.Serializable

      public class CcCoreException
      extends com.corticon.CcException

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.corticon.CcException

      `iparentException, istrCallingObjectClassName, istrCallingObjectToString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcCoreException()`
    `CcCoreException(int aiMessageKey)`
    `CcCoreException(int aiMessageKey, java.lang.Object[] aarrMessageRefs)`
    `CcCoreException(java.lang.String astrMessage)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMessageKey()`
    `java.lang.Object[]` | `getMessageRefs()`

    - ### Methods inherited from class com.corticon.CcException

      `getContainedException, getMessages, getStackTraceAsString, main, printStackTrace, printStackTrace, printStackTrace, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CcCoreException

          public CcCoreException()

    - #### CcCoreException

          public CcCoreException(java.lang.String astrMessage)

    - #### CcCoreException

          public CcCoreException(int aiMessageKey)

    - #### CcCoreException

          public CcCoreException(int aiMessageKey,
                         java.lang.Object[] aarrMessageRefs)

  - ### Method Detail

    - #### getMessageKey

          public int getMessageKey()

    - #### getMessageRefs

          public java.lang.Object[] getMessageRefs()

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.